| Flutter macOS Embedder |

Class Methods | List of all members
FlutterMenuPlugin Class Reference

`#import <FlutterMenuPlugin.h>`

Inheritance diagram for FlutterMenuPlugin:

## Class Methods
(void) | + registerWithRegistrar:
Class Methods inherited from <FlutterPlugin>
(void) | + registerWithRegistrar:

## Additional Inherited Members
Instance Methods inherited from <FlutterPlugin>
(void) | - handleMethodCall:result:
Instance Methods inherited from <FlutterAppLifecycleDelegate>
(void) | - handleWillFinishLaunching:
(void) | - handleDidFinishLaunching:
(void) | - handleWillBecomeActive:
(void) | - handleDidBecomeActive:
(void) | - handleWillResignActive:
(void) | - handleDidResignActive:
(void) | - handleWillHide:
(void) | - handleDidHide:
(void) | - handleWillUnhide:
(void) | - handleDidUnhide:
(void) | - handleDidChangeScreenParameters:
(void) | - handleDidChangeOcclusionState:
(BOOL) | - handleOpenURLs:
(void) | - handleWillTerminate:

## Detailed Description

A plugin to configure and control the native system menu.

Responsible for bridging the native macOS menu system with the Flutter framework's PlatformMenuBar class, via method channels.

Definition at line 17 of file FlutterMenuPlugin.h.

## Method Documentation

## ◆ registerWithRegistrar:

+ (void) registerWithRegistrar: |  | (nonnull id<FlutterPluginRegistrar>) | registrar |

Registers a FlutterMenuPlugin with the given registrar.

Definition at line 412 of file FlutterMenuPlugin.mm.

412 :(nonnull id<FlutterPluginRegistrar>)registrar {
413 FlutterMethodChannel* channel = [FlutterMethodChannel methodChannelWithName:kChannelName
414 binaryMessenger:registrar.messenger];
415 FlutterMenuPlugin* instance = [[FlutterMenuPlugin alloc] initWithChannel:channel];
416 [registrar addMethodCallDelegate:instance channel:channel];
417 }

References <FlutterPluginRegistrar>::addMethodCallDelegate:channel:, and FlutterMethodChannel::methodChannelWithName:binaryMessenger:.

Referenced by FlutterMenuPluginTestObjc::testSetMenu.

The documentation for this class was generated from the following files:

- shell/platform/darwin/macos/framework/Source/FlutterMenuPlugin.h
- shell/platform/darwin/macos/framework/Source/FlutterMenuPlugin.mm

FlutterMethodChannel
Definition: FlutterChannels.h:222
+[FlutterMethodChannel methodChannelWithName:binaryMessenger:]
instancetype methodChannelWithName:binaryMessenger:(NSString *name,[binaryMessenger] NSObject< FlutterBinaryMessenger > *messenger)